import { ReactNode } from 'react';
export interface IStyleProps {
    /**
     * A string which helps avoid hash collisions.
     */
    scope?: string;
    /**
     * Styles (`css` tagged templates).
     */
    children?: ReactNode;
}
/**
 * A React component which injects a global stylesheet when rendered.
 * Changes to `css` tagged templates will take effect immediately.
 * The stylesheet is removed when the `Style` component is unmounted.
 *
 * ```tsx
 * <Style>
 *   {css`
 *     html, body {
 *       padding: 0;
 *       margin: 0;
 *     }
 *   `}
 * </Style>
 * ```
 */
export declare const Style: import("../private/_getInternalComponent").RCIJFC<IStyleProps>;
