export interface IStyleRefCounter {
    /**
     * Adds one to the reference count for the key, and returns true
     * if the ref count was previously zero, otherwise false.
     */
    ref(key: string): boolean;
    /**
     * Removes one from the reference count for the key, and returns
     * true if the ref count reaches zero, otherwise false.
     */
    unref(key: string): boolean;
    /**
     * Returns true if there is at least one reference to the key,
     * otherwise false.
     */
    exists(key: string): boolean;
}
export declare function _getStyleRefCounter(): IStyleRefCounter;
export declare namespace _getStyleRefCounter {
    var _instance: IStyleRefCounter | undefined;
}
